#pragma once

#include "Common.h"
#include "Palette.h"

#include <cstdint>
#include <string>

namespace Feather
{
    class World
    {
    public:
        // global palette of all block states
        static const GlobalPalette<BlockState> GLOBAL_PALETTE;
        struct LevelData
        {
            int32_t spawnX, spawnY, spawnZ;
        } m_levelData;

        World(std::string name);
    };
}